local gearSlots = {
	[1] = CharacterHeadSlotPopoutButton,
	[2] = CharacterNeckSlotPopoutButton,
	[3] = CharacterShoulderSlotPopoutButton,
	[4] = CharacterBackSlotPopoutButton,
	[5] = CharacterChestSlotPopoutButton,
	[6] = CharacterWristSlotPopoutButton,
	[7] = CharacterHandsSlotPopoutButton,
	[8] = CharacterWaistSlotPopoutButton,
	[9] = CharacterLegsSlotPopoutButton,
	[10] = CharacterFeetSlotPopoutButton,
	[11] = CharacterFinger0SlotPopoutButton,
	[12] = CharacterFinger1SlotPopoutButton,
	[13] = CharacterTrinket0SlotPopoutButton,
	[14] = CharacterTrinket1SlotPopoutButton,
	[15] = CharacterShirtSlotPopoutButton,
	[16] = CharacterTabardSlotPopoutButton,
	[17] = CharacterMainHandSlotPopoutButton,
	[18] = CharacterSecondaryHandSlotPopoutButton,
}

local function setGearSlot()
	local slots
	for i = 1, 16 do
		slots = gearSlots[i]
		slots:SetWidth(13)
		slots:ClearAllPoints()
		slots:SetPoint("RIGHT", 11, 0)
	end
	for i = 17, 18 do
		slots = gearSlots[i]
		slots:SetHeight(13)
	end
end

PaperDollFrame:HookScript('OnShow', function(self, event, ...)
	for i = 1, 18 do
		gearSlots[i]:Show()
	end
end)

local f = CreateFrame("Frame")
f:SetScript("OnEvent", function(self, event, ...)
	if event == "PLAYER_LOGIN" then
		setGearSlot()
	end
end)

f:RegisterEvent("PLAYER_LOGIN")